enforcercommands.c File Reference
`#include "config.h"`
`#include "file.h"`
`#include "str.h"`
`#include "locks.h"`
`#include "log.h"`
`#include "status.h"`
`#include "util.h"`
`#include "daemon/engine.h"`
`#include "cmdhandler.h"`
`#include "enforcercommands.h"`
`#include "db/db_connection.h"`
`#include "policy/policy_resalt_cmd.h"`
`#include "policy/policy_list_cmd.h"`
`#include "daemon/time_leap_cmd.h"`
`#include "daemon/queue_cmd.h"`
`#include "daemon/verbosity_cmd.h"`
`#include "daemon/ctrl_cmd.h"`
`#include "enforcer/update_repositorylist_cmd.h"`
`#include "enforcer/repositorylist_cmd.h"`
`#include "enforcer/update_all_cmd.h"`
`#include "enforcer/update_conf_cmd.h"`
`#include "enforcer/enforce_cmd.h"`
`#include "policy/policy_import_cmd.h"`
`#include "policy/policy_export_cmd.h"`
`#include "policy/policy_purge_cmd.h"`
`#include "keystate/zone_list_cmd.h"`
`#include "keystate/zone_del_cmd.h"`
`#include "keystate/zone_add_cmd.h"`
`#include "keystate/zone_set_policy_cmd.h"`
`#include "keystate/keystate_ds_submit_cmd.h"`
`#include "keystate/keystate_ds_seen_cmd.h"`
`#include "keystate/keystate_ds_retract_cmd.h"`
`#include "keystate/keystate_ds_gone_cmd.h"`
`#include "keystate/keystate_export_cmd.h"`
`#include "keystate/keystate_import_cmd.h"`
`#include "keystate/keystate_list_cmd.h"`
`#include "keystate/key_purge_cmd.h"`
`#include "keystate/rollover_list_cmd.h"`
`#include "keystate/keystate_rollover_cmd.h"`
`#include "keystate/zonelist_import_cmd.h"`
`#include "keystate/zonelist_export_cmd.h"`
`#include "signconf/signconf_cmd.h"`
`#include "hsmkey/backup_hsmkeys_cmd.h"`
`#include "hsmkey/key_generate_cmd.h"`

Go to the source code of this file.

## Functions

engine_type * | getglobalcontext (cmdhandler_ctx_type *context)
db_connection_t * | getconnectioncontext (cmdhandler_ctx_type *context)

## Variables

struct cmd_func_block ** | enforcercommands = enforcecommands

## Function Documentation

## getconnectioncontext()

db_connection_t * getconnectioncontext | ( | cmdhandler_ctx_type * | context | ) |

Definition at line 107 of file enforcercommands.c.

## getglobalcontext()

engine_type * getglobalcontext | ( | cmdhandler_ctx_type * | context | ) |

Definition at line 101 of file enforcercommands.c.

## Variable Documentation

## enforcercommands

struct cmd_func_block** enforcercommands = enforcecommands

Command handler.

Definition at line 98 of file enforcercommands.c.

Referenced by engine_setup().